xine-lib: vo_overlay_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vo_overlay_s Struct Reference

`#include <video_out.h>`

## Data Fields
rle_elem_t * | rle
int | data_size
int | num_rle
int | x
int | y
int | width
int | height
int | video_window_x
int | video_window_y
int | video_window_width
int | video_window_height
int | extent_width
int | extent_height
uint32_t | color [256]
uint8_t | trans [256]
int | rgb_clut
int | hili_top
int | hili_bottom
int | hili_left
int | hili_right
uint32_t | hili_color [256]
uint8_t | hili_trans [256]
int | hili_rgb_clut
int | unscaled
argb_layer_t * | argb_layer

## Field Documentation

## ◆ argb_layer

argb_layer_t* vo_overlay_s::argb_layer

Referenced by _opengl2_overlay_blend(), mmal_overlay_blend(), opengl2_upload_overlay(), vaapi_overlay_blend(), vaapi_overlay_end(), vdpau_overlay_blend(), vdpau_overlay_end(), video_overlay_add_event(), and video_overlay_event().

## ◆ color

uint32_t vo_overlay_s::color[256]

Referenced by _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), _x_overlay_clut_yuv2rgb(), _x_overlay_to_argb32(), directfb_subpicture_paint(), fb_overlay_clut_yuv2rgb(), opengl_overlay_clut_yuv2rgb(), pgx32_overlay_blend(), pgx64_overlay_key_blend(), show_overlay(), spudec_copy_nav_to_overlay(), spudec_discover_clut(), spudec_do_commands(), x11osd_blend(), xcbosd_blend(), xshm_overlay_clut_yuv2rgb(), and xshm_overlay_clut_yuv2rgb().

## ◆ data_size

int vo_overlay_s::data_size

Referenced by show_overlay(), and spudec_draw_picture().

## ◆ extent_height

int vo_overlay_s::extent_height

Referenced by _opengl2_overlay_blend(), mmal_overlay_blend(), and vdpau_overlay_blend().

## ◆ extent_width

int vo_overlay_s::extent_width

Referenced by _opengl2_overlay_blend(), mmal_overlay_blend(), and vdpau_overlay_blend().

## ◆ height

int vo_overlay_s::height

Referenced by _merge_rects(), _opengl2_overlay_blend(), _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), _x_overlay_to_argb32(), directfb_subpicture_paint(), mmal_overlay_blend(), pgx64_overlay_key_blend(), raw_process_ovl(), show_overlay(), spudec_do_commands(), spudec_next_line(), vaapi_overlay_blend(), vaapi_overlay_end(), vdpau_overlay_blend(), and xxmc_overlay_blend().

## ◆ hili_bottom

int vo_overlay_s::hili_bottom

Referenced by _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), _x_overlay_to_argb32(), directfb_subpicture_paint(), pgx32_overlay_blend(), show_overlay(), spudec_copy_nav_to_overlay(), spudec_do_commands(), vaapi_overlay_blend(), vdpau_overlay_blend(), and video_overlay_event().

## ◆ hili_color

uint32_t vo_overlay_s::hili_color[256]

Referenced by _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), _x_overlay_clut_yuv2rgb(), _x_overlay_to_argb32(), directfb_subpicture_paint(), fb_overlay_clut_yuv2rgb(), opengl_overlay_clut_yuv2rgb(), pgx32_overlay_blend(), pgx64_overlay_key_blend(), spudec_copy_nav_to_overlay(), video_overlay_event(), x11osd_blend(), xcbosd_blend(), xshm_overlay_clut_yuv2rgb(), and xshm_overlay_clut_yuv2rgb().

## ◆ hili_left

int vo_overlay_s::hili_left

Referenced by _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), _x_overlay_to_argb32(), directfb_subpicture_paint(), pgx32_overlay_blend(), pgx64_overlay_key_blend(), show_overlay(), spudec_copy_nav_to_overlay(), spudec_do_commands(), vaapi_overlay_blend(), vdpau_overlay_blend(), video_overlay_event(), x11osd_blend(), and xcbosd_blend().

## ◆ hili_rgb_clut

int vo_overlay_s::hili_rgb_clut

Referenced by _opengl2_overlay_blend(), _x_overlay_clut_yuv2rgb(), fb_overlay_blend(), fb_overlay_clut_yuv2rgb(), opengl_overlay_blend(), opengl_overlay_clut_yuv2rgb(), raw_overlay_blend(), vaapi_overlay_blend(), vaapi_overlay_end(), vdpau_overlay_blend(), vdpau_overlay_end(), video_overlay_event(), xshm_overlay_blend(), xshm_overlay_blend(), xshm_overlay_clut_yuv2rgb(), and xshm_overlay_clut_yuv2rgb().

## ◆ hili_right

int vo_overlay_s::hili_right

Referenced by _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), _x_overlay_to_argb32(), directfb_subpicture_paint(), pgx32_overlay_blend(), pgx64_overlay_key_blend(), show_overlay(), spudec_copy_nav_to_overlay(), spudec_do_commands(), vaapi_overlay_blend(), vdpau_overlay_blend(), video_overlay_event(), x11osd_blend(), and xcbosd_blend().

## ◆ hili_top

int vo_overlay_s::hili_top

Referenced by _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), _x_overlay_to_argb32(), directfb_subpicture_paint(), pgx32_overlay_blend(), pgx64_overlay_key_blend(), show_overlay(), spudec_copy_nav_to_overlay(), spudec_do_commands(), vaapi_overlay_blend(), vdpau_overlay_blend(), video_overlay_event(), x11osd_blend(), and xcbosd_blend().

## ◆ hili_trans

uint8_t vo_overlay_s::hili_trans[256]

Referenced by _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), _x_overlay_to_argb32(), directfb_subpicture_paint(), pgx32_overlay_blend(), pgx64_overlay_key_blend(), spudec_copy_nav_to_overlay(), video_overlay_add_event(), video_overlay_event(), x11osd_blend(), and xcbosd_blend().

## ◆ num_rle

int vo_overlay_s::num_rle

Referenced by _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), _x_overlay_to_argb32(), directfb_subpicture_paint(), pgx32_overlay_blend(), pgx64_overlay_key_blend(), show_overlay(), spudec_discover_clut(), spudec_draw_picture(), x11osd_blend(), and xcbosd_blend().

## ◆ rgb_clut

int vo_overlay_s::rgb_clut

Referenced by _opengl2_overlay_blend(), _x_overlay_clut_yuv2rgb(), fb_overlay_blend(), fb_overlay_clut_yuv2rgb(), opengl_overlay_blend(), opengl_overlay_clut_yuv2rgb(), raw_overlay_blend(), show_overlay(), spudec_draw_picture(), vaapi_overlay_blend(), vaapi_overlay_end(), vdpau_overlay_blend(), vdpau_overlay_end(), xshm_overlay_blend(), xshm_overlay_blend(), xshm_overlay_clut_yuv2rgb(), and xshm_overlay_clut_yuv2rgb().

## ◆ rle

rle_elem_t* vo_overlay_s::rle

Referenced by _opengl2_overlay_blend(), _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), _x_overlay_to_argb32(), directfb_overlay_blend(), directfb_subpicture_paint(), dxr3_overlay_blend(), fb_overlay_blend(), macosx_overlay_blend(), mmal_overlay_blend(), opengl2_upload_overlay(), opengl_overlay_blend(), pgx32_overlay_blend(), pgx64_overlay_blend(), pgx64_overlay_key_blend(), raw_overlay_blend(), sdl_overlay_blend(), show_overlay(), spudec_discover_clut(), spudec_draw_picture(), stk_overlay_blend(), vaapi_overlay_blend(), vaapi_overlay_end(), vdpau_overlay_blend(), vdpau_overlay_end(), video_overlay_add_event(), video_overlay_event(), video_overlay_free_handle(), vidix_overlay_blend(), win32_overlay_blend(), x11osd_blend(), xcbosd_blend(), xshm_overlay_blend(), xshm_overlay_blend(), xv_overlay_blend(), xv_overlay_blend(), and xxmc_overlay_blend().

## ◆ trans

uint8_t vo_overlay_s::trans[256]

Referenced by _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), _x_overlay_to_argb32(), directfb_subpicture_paint(), pgx32_overlay_blend(), pgx64_overlay_key_blend(), show_overlay(), spudec_copy_nav_to_overlay(), spudec_do_commands(), video_overlay_add_event(), x11osd_blend(), and xcbosd_blend().

## ◆ unscaled

int vo_overlay_s::unscaled

Referenced by _opengl2_overlay_blend(), directfb_overlay_blend(), mmal_overlay_blend(), opengl_overlay_blend(), show_overlay(), spudec_draw_picture(), vaapi_overlay_blend(), vaapi_overlay_end(), vdpau_overlay_blend(), vidix_overlay_blend(), xshm_overlay_blend(), xshm_overlay_blend(), xv_overlay_blend(), xv_overlay_blend(), and xxmc_overlay_blend().

## ◆ video_window_height

int vo_overlay_s::video_window_height

Referenced by vdpau_overlay_blend().

## ◆ video_window_width

int vo_overlay_s::video_window_width

Referenced by vdpau_overlay_blend().

## ◆ video_window_x

int vo_overlay_s::video_window_x

Referenced by vdpau_overlay_blend().

## ◆ video_window_y

int vo_overlay_s::video_window_y

Referenced by vdpau_overlay_blend().

## ◆ width

int vo_overlay_s::width

Referenced by _merge_rects(), _opengl2_overlay_blend(), _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), _x_overlay_to_argb32(), directfb_subpicture_paint(), mmal_overlay_blend(), pgx32_overlay_blend(), pgx64_overlay_key_blend(), raw_process_ovl(), show_overlay(), spudec_do_commands(), spudec_draw_picture(), vaapi_overlay_blend(), vaapi_overlay_end(), vdpau_overlay_blend(), x11osd_blend(), xcbosd_blend(), and xxmc_overlay_blend().

## ◆ x

int vo_overlay_s::x

Referenced by _merge_rects(), _opengl2_overlay_blend(), _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), directfb_subpicture_paint(), mmal_overlay_blend(), pgx32_overlay_blend(), pgx64_overlay_key_blend(), raw_process_ovl(), show_overlay(), spudec_copy_nav_to_overlay(), spudec_do_commands(), vaapi_overlay_blend(), vaapi_overlay_end(), vdpau_overlay_blend(), x11osd_blend(), xcbosd_blend(), and xxmc_overlay_blend().

## ◆ y

int vo_overlay_s::y

Referenced by _merge_rects(), _opengl2_overlay_blend(), _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), _x_blend_xx44(), _x_blend_yuv(), _x_blend_yuy2(), directfb_subpicture_paint(), mmal_overlay_blend(), pgx32_overlay_blend(), pgx64_overlay_key_blend(), raw_process_ovl(), show_overlay(), spudec_copy_nav_to_overlay(), spudec_do_commands(), vaapi_overlay_blend(), vaapi_overlay_end(), vdpau_overlay_blend(), x11osd_blend(), xcbosd_blend(), and xxmc_overlay_blend().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/video_out.h